/*
 *  Copyright (C) 2007 Ludovic Jacomme (ludovic.jacomme@gmail.com)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

# ifndef _GP2X_MENU_H_
# define _GP2X_MENU_H_

# define GP2X_MENU_WARNING_COLOR    GCHESS.menu_warning_color
# define GP2X_MENU_SEL_COLOR        GCHESS.menu_select_color
# define GP2X_MENU_TEXT_COLOR       GCHESS.menu_text_color
# define GP2X_MENU_BLACK_COLOR      GCHESS.menu_black_color
# define GP2X_MENU_WHITE_COLOR      GCHESS.menu_white_color
# define GP2X_MENU_RED_COLOR        GCHESS.menu_red_color
# define GP2X_MENU_GREEN_COLOR      GCHESS.menu_green_color
# define GP2X_MENU_HELP_COLOR       GCHESS.menu_help_color
# define GP2X_MENU_NOTE_COLOR       GCHESS.menu_note_color

# define GP2X_DEF_WARNING_COLOR    psp_sdl_rgb(0xFF,0x00,0x00)
# define GP2X_DEF_SEL_COLOR        psp_sdl_rgb(0x00,0xff,0xff)
# define GP2X_DEF_TEXT_COLOR       psp_sdl_rgb(0x90,0x90,0x90)
# define GP2X_DEF_BLACK_COLOR      psp_sdl_rgb(0x00,0x00,0x00)
# define GP2X_DEF_GREEN_COLOR      psp_sdl_rgb(0x00,0xFF,0x00)
# define GP2X_DEF_RED_COLOR        psp_sdl_rgb(0xFF,0x00,0x00)
# define GP2X_DEF_HELP_COLOR       psp_sdl_rgb(0x00,0xff,0xff)
# define GP2X_DEF_WHITE_COLOR      psp_sdl_rgb(0xFF,0xFF,0xFF)
# define GP2X_DEF_NOTE_COLOR       psp_sdl_rgb(0xFF,0xFF,0x00)

# if 0
# define GP2X_MENU_BORDER_COLOR     psp_sdl_rgb(0x80,0x80,0xF0)
# define GP2X_MENU_WARNING_COLOR    psp_sdl_rgb(0xFF,0x00,0x00)
# define GP2X_MENU_NOTE_COLOR       psp_sdl_rgb(0xFF,0xFF,0x00)
# define GP2X_MENU_BACKGROUND_COLOR psp_sdl_rgb(0x00,0x00,0x00)
# define GP2X_MENU_BLACK_COLOR      psp_sdl_rgb(0x00,0x00,0x00)
# define GP2X_MENU_AUTHOR_COLOR     psp_sdl_rgb(0x00,0x00,0xFF)
# define GP2X_MENU_BLUE_COLOR       psp_sdl_rgb(0x00,0x00,0xFF)
# define GP2X_MENU_GREEN_COLOR      psp_sdl_rgb(0x00,0xFF,0x00)
# define GP2X_MENU_RED_COLOR        psp_sdl_rgb(0xFF,0x00,0x00)

//# define GP2X_MENU_TEXT_COLOR       psp_sdl_rgb(0x80,0x80,0x80)
# define GP2X_MENU_TEXT_COLOR       psp_sdl_rgb(0x90,0x90,0x90)
# define GP2X_MENU_TEXT2_COLOR      psp_sdl_rgb(0xff,0xff,0xff)
# define GP2X_MENU_SEL_COLOR        psp_sdl_rgb(0x00,0xff,0xff)
# define GP2X_MENU_SEL2_COLOR       psp_sdl_rgb(0xFF,0x00,0x80)
# define GP2X_MENU_HELP_COLOR       psp_sdl_rgb(0x00,0xff,0xff)
# define GP2X_MENU_WHITE_COLOR      psp_sdl_rgb(0xFF,0xFF,0xFF)
# endif

# define GP2X_MENU_MIN_TIME         150000

  typedef struct menu_item_t {
    char *title;
  } menu_item_t;


   extern int psp_main_menu(void);
  extern void string_fill_with_space(char *buffer, int size);

# endif
